<?php

/*
 * Smarty を読み込みます。
 * heteml では、Smarty/Smarty.class.php で読み込めます。
 */

require_once("Smarty/Smarty.class.php");



/*
 * Smarty オブジェクトを生成し、テンプレートディレクトリとコンパイルディレクトリを設定します。
 * テンプレートディレクトリ内に Smarty 用のテンプレートを設置します。
 * コンパイルディレクトリは、PHP が書き込みを出来るパーミッションにしておく必要があります。
 */

$smarty = new Smarty();
$smarty->template_dir = "./templates";
$smarty->compile_dir  = "./templates_c";



/*
 * テンプレート変数に値をセットします。
 * ここでは、message というテンプレート変数に Hello Word! という文字列をセットしています。
 * テンプレート内では、{$message} という変数でセットした文字列を呼び出すことができます。
 */

$smarty->assign("message", "Hello World!");



/*
 * テンプレートを出力します。出力するテンプレートファイル名を渡します。
 * Hello World! と出力されていたら成功です。
 */

$smarty->display("index.tpl");



?>
